Subject: bug#28945: 25.2; desktop auto save timer does not work

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Oct 2017 20:58:39 +0300

> From: Peter Neidhardt <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 22 Oct 2017 18:41:50 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > What this boils down to is that every automatic desktop-save produces
> > an annoying "hiccup" in Emacs responsiveness.
> 
> It's an idle timer, so if Emacs is idle, i.e. the user does not do
> anything, how to you notice the hiccup? 

I notice it when I resume typing during the time desktop.el
auto-saves.  The response to my typing is "sluggish", because once the
timer function starts running, it runs to completion, before Emacs
notices I typed something and responds.